Win a copy of Hands On Software Engineering with Python this week in the Jython/Python forum!
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
programming forums Java Mobile Certification Databases Caching Books Engineering Micro Controllers OS Languages Paradigms IDEs Build Tools Frameworks Application Servers Open Source This Site Careers Other all forums
this forum made possible by our volunteer staff, including ...
Marshals:
  • Campbell Ritchie
  • Jeanne Boyarsky
  • Bear Bibeault
  • Knute Snortum
  • Liutauras Vilda
Sheriffs:
  • Tim Cooke
  • Devaka Cooray
  • Paul Clapham
Saloon Keepers:
  • Tim Moores
  • Frits Walraven
  • Ron McLeod
  • Ganesh Patekar
  • salvin francis
Bartenders:
  • Tim Holloway
  • Carey Brown
  • Stephan van Hulst

JVM TERMINATED with Exit Code=1  RSS feed

 
Ranch Hand
Posts: 67
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,
I have installed myEclipse6 and jdk 1.4.2(not sure whether its beta-version)
when i start myEclipse, it works for sometime and suddenly shuts down with
"JVM TERMINATED with Exit Code=1 and shows some parameters".I have searched and found some suggesions:-
1) my jdk my be a beta version which may be the problem.kindly tell me how to check? and how to download a full version.
2) I have to upgrade to jdk5 which i do not want.
3) my RAM is low 256mb sdram. Motherboard 845glly.processor-p4 1.7ghz.OS-win/xp.

kindly tell me how to proceed.
Regards,
subhsdeep
 
author
Posts: 5856
7
Android Eclipse IDE Ubuntu
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
My guess? You need more memory. 256MB is hardly enough to run XP (my XP box uses almost 500MB just to start up), much less run myEclipse.

1) To check your JDK, enter:

java -version

or enter:

%JAVA_HOME%\bin\java -version


2) Why do you not want to upgrade to JDK 5?
 
Java Cowboy
Posts: 16084
88
Android IntelliJ IDE Java Scala Spring
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Note that it's possible to install multiple versions of Java on a computer; you can install Java 1.4.2 as well as Java 5.

If you're developing software that has to run on Java 1.4.2, then you can set your project in Eclipse to Java 1.4.
 
subhadeep chakraborty
Ranch Hand
Posts: 67
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
hi,
Do you want me to send the error log files. If yes, how should i sent? Because I am currently working on jdk 1.4.2 , I want to run myEclipse with that.

Subhadeep
 
Bartender
Posts: 20107
101
Android Eclipse IDE Linux
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
When you get a "JVM TERMINATED with Exit Code=1" and an OS (not Java) stack trace, consider it as a bug in the JVM. There's nothing you can really do about that except work around it (if you can) or try a different JVM version.

Fortunately, few JVM-crashing bugs carry forward from one release to another, so simply running under a different minor release version is usually enough to make the problem go away.
 
You may have just won ten million dollars! Or, maybe a tiny ad.
RavenDB is an Open Source NoSQL Database that’s fully transactional (ACID) across your database
https://coderanch.com/t/704633/RavenDB-Open-Source-NoSQL-Database
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!